package ru.yandex.autotests.directapi.model.api5.campaigns;

import com.yandex.direct.api.v5.campaigns.StrategyWbAverageCpv;

public class StrategyWbAverageCpvMap extends StrategyAverageCpvBaseMap<StrategyWbAverageCpvMap> {

    public StrategyWbAverageCpvMap() {
        super();
        setBean(new StrategyWbAverageCpv());
    }

    public StrategyWbAverageCpvMap(StrategyWbAverageCpv strategyWbAverageCpv) {
        super();
        setBean(strategyWbAverageCpv);
    }

    public StrategyWbAverageCpvMap put(String fieldName, Object value) {
        super.put(fieldName, value);
        return this;
    }

    public StrategyWbAverageCpvMap withDefaultWbAverageCpv(Long averageCpv, Long spendLimit) {
        this.withDefaultAverageCpv(averageCpv, spendLimit);
        return this;
    }
}
